org.keycloak.dom.saml.v2.ac

## Class ComplexAuthenticatorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.ComplexAuthenticatorType

-     public class ComplexAuthenticatorType
      extends Object

  Java class for ComplexAuthenticatorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ComplexAuthenticatorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{urn:oasis:names:tc:SAML:2.0:ac}AuthenticatorChoiceGroup"/>
               <group ref="{urn:oasis:names:tc:SAML:2.0:ac}AuthenticatorSequenceGroup"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<JAXBElement<?>>` | `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexAuthenticatorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JAXBElement<?>>` | `getContent()` Gets the rest of the content model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<JAXBElement<?>> content

  - ### Constructor Detail

    - #### ComplexAuthenticatorType

          public ComplexAuthenticatorType()

  - ### Method Detail

    - #### getContent

          public List<JAXBElement<?>> getContent()

      Gets the rest of the content model.

      You are getting this "catch-all" property because of the following reason: The field name "PreviousSession" is used by two different parts of a schema. See: line 575 of file:/home/anil/saml2/saml-schema-authn-context-types-2.0.xsd line 556 of file:/home/anil/saml2/saml-schema-authn-context-types-2.0.xsd

      To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

           getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``ComplexAuthenticatorType` `>` `JAXBElement``<``ExtensionOnlyType``>` `JAXBElement``<` `ExtensionOnlyType``>` `JAXBElement``<``RestrictedPasswordType``>` `JAXBElement``<``ExtensionOnlyType``>` `JAXBElement``<``ExtensionOnlyType` `>` `JAXBElement``<``PublicKeyType``>` `JAXBElement``<` `SharedSecretChallengeResponseType``>` `JAXBElement``<``ExtensionOnlyType``>` `JAXBElement``<``ExtensionOnlyType``>` `JAXBElement``<``ExtensionOnlyType` `>` `JAXBElement``<``PasswordType``>` `JAXBElement``<``PublicKeyType` `>` `JAXBElement``<``ExtensionType``>` `JAXBElement``<``PublicKeyType` `>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.